Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 958965

Summary: erlsyslog 0.6.2-1 not built with $RPM_*_FLAGS, *.so not stripped
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: erlang-erlsyslogAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: lemenkov
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: couchdb-1.3.1-3.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-06 07:29:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    
Attachments:
Description Flags
Build with $RPM_*_FLAGS, fix -debuginfo none

Description Ville Skyttä 2013-05-02 19:40:44 UTC
Created attachment 742901 [details]
Build with $RPM_*_FLAGS, fix -debuginfo

erlsyslog 0.5-1 is not built with $RPM_*_FLAGS and the *.so is not stripped, fix attached.

Comment 1 Ville Skyttä 2013-05-03 12:13:21 UTC
BTW erlang-basho_metrics, erlang-bitcask, erlang-ebloom, erlang-eleveldb, erlang-emmap, erlang-erlzmq2, erlang-js, erlang-skerl, and erlang-snappy all have a subset of these issues (too low -v level so that used flags are shown, $RPM_OPT_FLAGS not being used, $RPM_LD_FLAGS not being used), want me to just go ahead and fix them? I don't think I can be persuaded to file separate bugs for them :)

Comment 2 Ville Skyttä 2013-05-22 14:21:35 UTC
Ping? Problem persists in 0.6.2-1.

Comment 3 Fedora End Of Life 2013-09-16 13:44:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 4 Fedora Update System 2013-10-24 19:39:34 UTC
erlang-erlsyslog-0.6.2-4.fc19, erlang-R16B-02.3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/erlang-erlsyslog-0.6.2-4.fc19,erlang-R16B-02.3.fc19

Comment 5 Fedora Update System 2013-10-24 19:43:10 UTC
erlang-erlsyslog-0.6.2-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-erlsyslog-0.6.2-4.el5

Comment 6 Fedora Update System 2013-10-24 19:43:26 UTC
erlang-erlsyslog-0.6.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-erlsyslog-0.6.2-4.el6

Comment 7 Fedora Update System 2013-10-24 19:45:57 UTC
erlang-erlsyslog-0.6.2-4.fc20, erlang-R16B-02.3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20

Comment 8 Fedora Update System 2013-10-25 17:37:08 UTC
Package erlang-erlsyslog-0.6.2-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing erlang-erlsyslog-0.6.2-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11950/erlang-erlsyslog-0.6.2-4.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-11-06 07:29:59 UTC
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-7.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19, riak-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-11-09 21:07:42 UTC
erlang-erlsyslog-0.6.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-11-09 21:07:52 UTC
erlang-erlsyslog-0.6.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-11-10 06:53:57 UTC
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-7.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20, riak-1.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.